Subject: Re: bug#8426: Glyph and cursor problem with emacs
From: Stefan Kangas <[email-masked]>
To: David De La Harpe Golden <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 1 Oct 2019 18:39:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

David De La Harpe Golden <[email-masked]> writes:

> On 06/04/11 11:16, Matthew Carey wrote:
>> I have switched off compositing and the problem appears to go away.
>>
>> The machine is not identical to the one that does not have the problem in that
>> though both are 64bit the problem box is a Thinkpad T61 (7959-CT0) which has:
>>
>> Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
>>
>> So the question is: Is this a bug in the graphics driver or SuSE's packaging of
>> the driver compositing software.
>>
>
> Well, a compositing manager is not card-specific... (can end up running some
> proportion of different code on different cards, though e.g. depending on shader
> capability level).   Looking through the intel driver bugzilla [1], there are
> various "odd display artifact" type bugs. If you wouldn't mind reporting the bug
> to them [2], they might be able to diagnose.
>
> [1]
> https://bugs.freedesktop.org/buglist.cgi?query_format=advanced&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&component=Driver%2Fintel&product=xorg
>
> [2] http://intellinuxgraphics.org/how_to_report_bug.html

From the above, I'm concluding that this is not a bug in Emacs, and I'm
therefore closing this 8 year old bug.

If this is the wrong conclusion, and this is still an issue, please
reopen the bug report.

Best regards,
Stefan Kangas